### Method

# WebKit BackForwardList get_back_list_with_limit

#### Declaration [src]

    GList*
    webkit_back_forward_list_get_back_list_with_limit (
      WebKitBackForwardList* back_forward_list,
      guint limit
    )

#### Description [src]

Obtain a list up to some number of items preceding the current one.

#### Parameters

`limit`

  Type: `guint`

  The number of items to retrieve.

#### Return value

Type: A list of `WebKitBackForwardListItem*`

A `GList` of items preceding the current item limited by `limit`.

The caller of the method takes ownership of the data container, but not the data inside it.